/* LAYOUT */
.cc-window {
    line-height: 1.5;
    z-index: 99999999;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, .4) !important;
    max-width: unset !important;
}
.cc-window.cc-right {
    right: 0;
}
.cc-window.cc-bottom {
    bottom: 0;
}

.cc-message,
.cc-compliance {
    max-width: 560px;
    width: 84%;
    background-color: #000;
    color: #fff;
}

.dp--cookie-check {
    justify-content: center;
    border: 0;
    border-radius: 0;
    margin-top: 1em;
}
    .dp--cookie-check label + label {
        margin-left: 16px;
        padding: 0;
    }
    .dp--cookie-check label:first-child {
        padding: 0;
    }
    .dp--cookie-check label:last-child {
        padding: 0
    }

a.cc-link,
a.cc-link:link,
a.cc-link:hover,
a.cc-link:active,
a.cc-link:visited,
a.cc-link:focus {
    color: #fff;
    opacity: 1;
    padding: 0;
    text-decoration: underline;
}

.cc-compliance {
    flex-direction: column-reverse;
    align-items: stretch;
    padding: 0 2em 1em 2em;
    flex: none !important;
}
    a.cc-btn,
    a.cc-btn:link,
    a.cc-btn:hover,
    a.cc-btn:active,
    a.cc-btn:visited,
    a.cc-btn:focus {
        font-size: normal;
        padding: 0;
        border: 0;
        line-height: 24px;
    }
    a.cc-btn.cc-allow,
    a.cc-btn.cc-allow:link,
    a.cc-btn.cc-allow:hover,
    a.cc-btn.cc-allow:active,
    a.cc-btn.cc-allow:visited,
    a.cc-btn.cc-allow:focus {
        font-size: 12px !important;
        color: #fff !important;
    }
    a.cc-btn.cc-dismiss,
    a.cc-btn.cc-dismiss:link,
    a.cc-btn.cc-dismiss:hover,
    a.cc-btn.cc-dismiss:active,
    a.cc-btn.cc-dismiss:visited,
    a.cc-btn.cc-dismiss:focus {
        background-color: #fff;
        font-size: 18px;
        padding: 16px 40px;
        border-radius: 40px;
        margin-bottom: 8px;
        color: #000;
    }

.cc-revoke.dp--revoke {
    padding: 0;
}
.cc-revoke.dp--revoke,
.cc-revoke.dp--revoke:hover {
    opacity: 1;
    background-color: #000 !important;
    color: #fff !important;
}
.cc-revoke.dp--revoke:hover {
    padding: 0 16px;
}
    .cc-revoke.dp--revoke .dp--hover {
        margin-left: 8px;
        font-size: 14px;
    }
/* ###### */
/* RESPONSIVE */
@media (max-width: 820px) {
    .cc-window {
        justify-content: flex-start;
        padding: 8% 0 !important;
        overflow: auto !important;
    }
}
@media (max-width: 600px) {
    .dp--cookie-check {
        flex-direction: column;
        justify-content: flex-start;
        align-items: stretch;
    }
        .dp--cookie-check label + label {
            margin-top: 8px;
            margin-left: 0;
        }
}
/* ########## */


/* ###################################################################################################### */
/* ###################################################################################################### */


/* COOKIE OVERLAY */
#main .dp--overlay {
    padding: 24px;
    text-align: center;
    text-align-last: center;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: rgba(0, 0, 0, .64);
}
#main .youtubeVideo .dp--overlay {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    overflow: auto;
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-size: cover !important;
    color: #fff;
}
#main .js-gme-preview .dp--overlay {
    background-color: transparent;
    background-image: url("../img/cookie-map.png");
    color: #474747;
    border: 1px solid #e6e6e6;
}
    #main .dp--overlay-header {
        line-height: 24px;
        font-weight: 700;
    }
    #main .dp--overlay-description,
    #main .dp--overlay-button {
        line-height: 1.5;
        margin-top: 1.5rem;
    }
    #main .db--overlay-submit {
        font: normal 20px/40px 'Avenir';
        cursor: pointer;
        position: relative;
        display: inline-block;
        padding: 0 16px;
        border: 0;
    }
    #main .youtubeVideo .db--overlay-submit {
        color: #0065b0;
        background-color: #fff;
    }
    #main .js-gme-preview .db--overlay-submit {
        color: #fff;
        background-color: #0065b0;
    }
    #main .db--overlay-submit::before {
        content: '';
        position: absolute;
        top: -2%;
        right: -3%;
        bottom: -2%;
        left: -3%;
        transform: rotate(-2.5deg);    
    }
    #main .youtubeVideo .db--overlay-submit::before {
        border: 1px solid #fff;
    }
    #main .js-gme-preview .db--overlay-submit::before {
        border: 1px solid #0065b0;
    }
/* ############## */
/* RESPONSIVE */
@media (max-width: 1000px) {
    #main .dp--overlay-header,
    #main .dp--overlay-description,
    #main .db--overlay-submit {
        font-size: 18px;
    }
}
@media (max-width: 820px) {
    #main .dp--overlay-header,
    #main .dp--overlay-description,
    #main .db--overlay-submit {
        font-size: 16px;
    }
    #main .dp--overlay-description,
    #main .dp--overlay-button {
        margin-top: 1rem;
    }
}
@media (max-width: 600px) {
    #main .dp--overlay {
        align-items: flex-start;
        padding: 16px;
    }
        #main .dp--overlay-header,
        #main .dp--overlay-description,
        #main .db--overlay-submit {
            font-size: 14px;
        }
        #main .dp--overlay-description,
        #main .dp--overlay-button {
            margin-top: .5rem;
        }
}
@media (max-width: 420px) {
    #main .dp--overlay-header,
    #main .dp--overlay-description,
    #main .db--overlay-submit {
        font-size: 12px;
    }
}
@media (max-width: 360px) {
    #main .dp--overlay-header,
    #main .dp--overlay-description,
    #main .db--overlay-submit {
        font-size: 10px;
    }
}
/* ########## */